#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
dto_generator:
  entities:
    api:
      XCart\API\Entity\Storefront\Product\Compact:
        fields:
          discountStartDate:
            type: integer
            nullable: true
          discountEndDate:
            type: integer
            nullable: true

      XCart\API\Entity\Storefront\Product\Detailed:
        fields:
          discountStartDate:
            type: integer
            nullable: true
          discountEndDate:
            type: integer
            nullable: true

    logic:
      XCart\Logic\Entity\Storefront\Product:
        fields:
          discountStartDate:
            type: integer
            nullable: true
          discountEndDate:
            type: integer
            nullable: true

services:
  _defaults:
    autowire: true
    autoconfigure: true
  QSL\PriceCountdown\Transformer\XLite\Model\Product\Logic\Entity\Storefront\ProductDecorator:
    decorates: XCart\Transformer\XLite\Model\Product\Logic\Entity\Storefront\Product
